#include <stdio.h>
#include <stdlib.h>

#define MAX 130000

#ifdef __EFI68k
extern void set_debug_traps(void);
extern void breakpoint(void);
#endif /* __EFI68k */

int main() 
{ 
  register unsigned char *m;
  register int i;
/*   unsigned char *m; */
/*   int i; */
  unsigned char b;
  int e_count=0, count=0;

  if (setvbuf(stdout,NULL,_IONBF,1)!=0) {
    perror("my error");
    exit(1);
  }

#ifdef __EFI68k
  set_debug_traps();   
/*   breakpoint(); */
#endif /* __EFI68k */

  printf("starting test...\n");

  m=(char *)malloc(sizeof(char)*MAX);
  if (m == NULL) {
    printf("malloc error\n");
    exit(1);
  }


  printf("m= %x\n",(unsigned int)m);

  for (;;) {

    for (b=1; b!=0x81; b = (b<0x80 ? b<<1 : b+1)) {

      for (i=0; i<MAX; i++) m[i]=b;

      for (i=0; i<MAX; i++) {

	if (m[i] != b) {
	  printf("error at i=%i and b=%x\n",i,b);
	  e_count++;
	}	 

      }
      printf("%i,%i\r",++count,e_count);
    }
  }
  return(0);
}
